summaryrefslogtreecommitdiffstats
path: root/debian/tests/import-hello.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 19:12:15 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 19:12:15 +0000
commit8cabc67967e8b0d613af255553f1ff9db60190e4 (patch)
treeab7c9a43579d3feddc09724a3bd3215d6c096c5e /debian/tests/import-hello.sh
parentAdding upstream version 5.4.4. (diff)
downloadreprepro-debian/5.4.4-1.tar.xz
reprepro-debian/5.4.4-1.zip
Adding debian version 5.4.4-1.debian/5.4.4-1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/import-hello.sh')
-rwxr-xr-xdebian/tests/import-hello.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/debian/tests/import-hello.sh b/debian/tests/import-hello.sh
new file mode 100755
index 0000000..67cae23
--- /dev/null
+++ b/debian/tests/import-hello.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+basedir=$(mktemp -d)
+cd $basedir
+mkdir -p conf
+cat <<EOF >> conf/distributions
+Origin: Ubuntu
+Label: Ubuntu
+Suite: impish
+Version: 21.10
+Codename: impish
+Architectures: amd64 arm64 armhf i386 ppc64el riscv64 s390x
+Components: main
+Description: Ubuntu Impish 21.10
+EOF
+reprepro -b $basedir createsymlinks
+apt-get download hello
+reprepro -b $basedir includedeb impish hello*.deb